// BezierView.h : interface of the CBezierView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_BEZIERVIEW_H__74D3464F_A8E4_11D4_83CE_004033E136DA__INCLUDED_)
#define AFX_BEZIERVIEW_H__74D3464F_A8E4_11D4_83CE_004033E136DA__INCLUDED_

#include "Stack.h"	// Added by ClassView
#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CBezierView : public CView
{
protected: // create from serialization only
	CBezierView();
	DECLARE_DYNCREATE(CBezierView)

// Attributes
public:
	CBezierDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBezierView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CBezierView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CBezierView)
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnOptionsNumberofpoints();
	afx_msg void OnOptionsRedraw();
	afx_msg void OnOptionsReset();
	afx_msg void OnOptionsResolution();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	CStack m_stack;
	float pot(float a, int b);
	void BezierPoint(int t, float *x, float *y);
	short m_resolution;
	int m_centerX;
	int m_centerY;
};

#ifndef _DEBUG  // debug version in BezierView.cpp
inline CBezierDoc* CBezierView::GetDocument()
   { return (CBezierDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BEZIERVIEW_H__74D3464F_A8E4_11D4_83CE_004033E136DA__INCLUDED_)
